Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Null_Mutex.h File Reference

`#include "ace/os_include/os_errno.h"`
`#include "ace/Global_Macros.h"`
`#include "ace/OS_Memory.h"`

Include dependency graph for Null_Mutex.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_Guard< ACE_Null_Mutex >
| Template specialization of <ACE_Guard> for the <ACE_Null_Mutex>. More...
class | ACE_Malloc_Lock_Adapter_T< ACE_Null_Mutex >
class | ACE_Null_Mutex
| Implement a do nothing <ACE_Mutex>, i.e., all the methods are no ops. More...
class | ACE_Read_Guard< ACE_Null_Mutex >
class | ACE_Write_Guard< ACE_Null_Mutex >

## Detailed Description

Id:
  Null_Mutex.h,v 4.4 2003/12/19 00:49:55 dhinton Exp

Moved from Synch.h.

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>